<?php
global $wp_query, $data;
$image_width = get_option('product_image_width');
$image_height = get_option('product_image_height');
$grid_crop = $data[THEME_SHORTNAME.'product_grid_crop'];
$grid_zoomcrop = $data[THEME_SHORTNAME.'product_grid_zoomcrop'];
$grid_compression = $data[THEME_SHORTNAME.'product_grid_compression'];

?>
<div id="grid_view_products_page_container">
<?php 
$args = array( 
	'crumb-separator' => ' / '
);
wpsc_output_breadcrumbs($args); ?>
<?php 
if (isset($data[THEME_SHORTNAME.'product_view_buttons']) && $data[THEME_SHORTNAME.'product_view_buttons'] == 'true') {
	if (get_option('show_search') != '1') {
		echo sp_product_view(); 
	} else {
		if (get_option('show_advanced_search') != '1') {
			echo sp_product_view();	
		}
	}
}
?>
	<?php do_action('wpsc_top_of_products_page'); // Plugin hook for adding things to the top of the products page, like the live search ?>
	
	<?php if(wpsc_display_categories()): ?>
	  <?php if(get_option('wpsc_category_grid_view') == 1) :?>
			<div class="wpsc_categories wpsc_category_grid group">
				<?php wpsc_start_category_query(array('category_group'=> 1, 'show_thumbnails'=> 1)); ?>
					<a href="<?php wpsc_print_category_url();?>" class="wpsc_category_grid_item  <?php wpsc_print_category_classes_section(); ?>" title="<?php wpsc_print_category_name();?>">
						<?php wpsc_print_category_image(45, 45); ?>
					</a>
					<?php wpsc_print_subcategory("", ""); ?>
				<?php wpsc_end_category_query(); ?>
				
			</div><!--close wpsc_categories-->
	  <?php else:?>
			<ul class="wpsc_categories">
				<?php wpsc_start_category_query(array('category_group'=> 1, 'show_thumbnails'=> get_option('show_category_thumbnails'))); ?>
						<li>
							<?php wpsc_print_category_image(32, 32); ?>
							
							<a href="<?php wpsc_print_category_url();?>" class="wpsc_category_link  <?php wpsc_print_category_classes_section(); ?>"><?php wpsc_print_category_name();?></a>
							<?php if(get_option('wpsc_category_description')) :?>
								<?php wpsc_print_category_description("<div class='wpsc_subcategory'>", "</div>"); ?>				
							<?php endif;?>
							
							<?php wpsc_print_subcategory("<ul>", "</ul>"); ?>
						</li>
				<?php wpsc_end_category_query(); ?>
			</ul>
		<?php endif; ?>
	<?php endif; ?>

	<?php if(wpsc_display_products()): ?>
	<?php if(wpsc_is_in_category()) : ?>
		<div class="wpsc_category_details">
			<?php if(get_option('show_category_thumbnails') && wpsc_category_image()) : ?>
				<img src="<?php echo wpsc_category_image(); ?>" alt="<?php echo wpsc_category_name(); ?>" title="<?php echo wpsc_category_name(); ?>" />
			<?php endif; ?>
			
			<?php if(get_option('wpsc_category_description') &&  wpsc_category_description()) : ?>
				<?php echo wpsc_category_description(); ?>
			<?php endif; ?>
		</div><!--close wpsc_category_details-->
	<?php endif; ?>
	
	
	<?php if(wpsc_has_pages_top()) : ?>
			<div class="wpsc_page_numbers_top group">
				<?php wpsc_pagination(); ?>
			</div><!--close wpsc_page_numbers_top-->
	<?php endif; ?>		
		

	<div class="product_grid_display group">
		<?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
			<div class="product_grid_item product_view_<?php echo wpsc_the_product_id(); ?>">
				  <div class="inner_wrap">
				<?php if(wpsc_the_product_thumbnail()) :?> 	   
					<div class="item_image">
						<a href="<?php echo wpsc_the_product_permalink(); ?>">
						<img width="<?php echo $image_width; ?>" height="<?php echo $image_height; ?>" class="product_image" id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" src="<?php echo bloginfo('template_url');?>/sp-framework/timthumb/timthumb.php?src=<?php echo sp_wpsc_the_product_image(wpsc_the_product_id()); ?>&amp;h=<?php echo $image_height; ?>&amp;w=<?php echo $image_width; ?>&amp;zc=<?php echo $grid_zoomcrop; ?>&amp;q=<?php echo $grid_compression; ?>&amp;a=<?php echo $grid_crop; ?>" />
						</a>
                            <?php if (wpsc_product_on_special() && $data[THEME_SHORTNAME."saletag"] == "true") : ?>
                            <span class="saletag">Sale</span>
                            <?php endif; ?>
                          <a href="<?php echo wpsc_the_product_permalink(); ?>" class="more">More Details</a>                        
					</div><!--close imte_image-->
				<?php else: ?> 
					<div class="item_no_image">
									<a href="<?php echo wpsc_the_product_permalink(); ?>">
									<img class="no-image" id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="No Image" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo bloginfo('template_url');?>/sp-framework/timthumb/timthumb.php?src=<?php echo bloginfo('template_url'); ?>/images/product-thumb-no-image.jpg&amp;h=<?php echo $image_height; ?>&amp;w=<?php echo $image_width; ?>&amp;zc=<?php echo $grid_zoomcrop; ?>&amp;q=<?php echo $grid_compression; ?>&amp;a=<?php echo $grid_crop; ?>" width="<?php echo $image_width; ?>" height="<?php echo $image_height; ?>" />
									</a>
					</div><!--close item_no_image-->
				<?php endif; ?> 
				
					<div class="grid_product_info">							
                        	<div class="price_container">
							<?php if(wpsc_product_on_special()) : ?>
										<p class="pricedisplay <?php echo wpsc_the_product_id(); ?>"><?php _e('Old Price', 'sp'); ?>:<span class="oldprice"><?php echo wpsc_product_normal_price(); ?></span></p>
									<?php endif; ?>
									<p class="pricedisplay <?php echo wpsc_the_product_id(); ?>"><?php _e('Price', 'sp'); ?>:<span class="currentprice"><?php echo wpsc_the_product_price(); ?></span></p>
							</div><!--close price_container-->
					</div><!--close grid_product_info-->
						
                </div><!--close inner_wrap-->	
							<h2 class="prodtitle"><a href="<?php echo wpsc_the_product_permalink(); ?>" title="<?php echo wpsc_the_product_title(); ?>"><?php echo wpsc_the_product_title(); ?></a></h2>
                		
			</div><!--close product_grid_item-->
			<?php 
            if (get_option('show_search') != '1') {
                if(($data[THEME_SHORTNAME.'grid_items'] > 0) && ((($wp_query->current_post + 1) % $data[THEME_SHORTNAME.'grid_items']) == 0)) {
						echo '<div class="group"></div>';	
				}

            } else {
                if (get_option('show_advanced_search') != '1') {
					if(($data[THEME_SHORTNAME.'grid_items'] > 0) && ((($wp_query->current_post + 1) % $data[THEME_SHORTNAME.'grid_items']) == 0)) {
							echo '<div class="group"></div>';	
					}
                } else {
					if((get_option('grid_number_per_row') > 0) && ((($wp_query->current_post +1) % get_option('grid_number_per_row')) == 0)) {
						echo '<div class="group"></div>';	
					}
				}
            }
			?>
            
		<?php endwhile; ?>
		
		<?php if(wpsc_product_count() == 0):?>
			<p><?php  _e('There are no products in this group.', 'sp'); ?></p>
		<?php endif ; ?>
		
		
	</div><!--close product_grid_display-->
	
		<?php if(wpsc_has_pages_bottom()) : ?>
			<div class="wpsc_page_numbers_bottom group">
				<?php wpsc_pagination(); ?>
			</div><!--close wpsc_page_numbers_bottom-->
		<?php endif; ?>
	<?php endif; ?>
	<?php echo sp_fancy_notifications(); ?>
    <?php do_action( 'wpsc_theme_footer' ); ?> 	

</div><!--close grid_view_products_page_container-->